%global git_commit f3c9046b5c8522300eb397d7ffd714956f7fdfd5
%global git_commit_timestamp 202505191154

Name:           inadyn
Version:        2.12.%{git_commit_timestamp}
Release:        %autorelease
Summary:        A dynamic DNS client with multiple SSL/TLS library support


License:        GPL-2.0
URL:            https://github.com/troglobit/inadyn
Source0:        https://github.com/troglobit/inadyn/archive/%{git_commit}.tar.gz
Source1:        inadyn-service.preset
Source2:        inadyn.tmpfiles.d.conf


ExclusiveArch: x86_64 aarch64


BuildRequires: autoconf
BuildRequires: automake
BuildRequires: crudini
BuildRequires: gcc
BuildRequires: libconfuse-devel
BuildRequires: libtool
BuildRequires: openssl-devel
BuildRequires: make
BuildRequires: pkg-config
BuildRequires: systemd-rpm-macros


Requires: libconfuse
Requires: openssl


Conflicts: inadyn-mt


%description
%{summary}.


%prep
%setup -q -n inadyn-%{git_commit}
sed --in-place "s/^\(AC_INIT(\[[^]]*\], *\)\[[^]]*\]/\1[%{version}]/" configure.ac


%build
./autogen.sh
%configure \
  --prefix=%{_prefix} \
  --sbindir=%{_bindir} \
  --sysconfdir=%{_sysconfdir} \
  --localstatedir=%{_localstatedir}/inadyn \
  --runstatedir=/run/inadyn \
  --with-systemd=%{_unitdir} \
  --enable-openssl
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm --recursive --force %{buildroot}
%make_install
crudini --set --inplace "%{buildroot}%{_unitdir}/inadyn.service" Service User inadyn
crudini --set --inplace "%{buildroot}%{_unitdir}/inadyn.service" Service Group inadyn
crudini --set --inplace "%{buildroot}%{_unitdir}/inadyn.service" Service WorkingDirectory "%{_localstatedir}/inadyn"
crudini --set --inplace "%{buildroot}%{_unitdir}/inadyn.service" Service Restart on-failure
crudini --set --inplace "%{buildroot}%{_unitdir}/inadyn.service" Service RestartSec 5s
install -D "%{SOURCE1}" "%{buildroot}%{_prefix}/lib/systemd/system-preset/90-inadyn.preset"
install -D "%{SOURCE2}" "%{buildroot}%{_tmpfilesdir}/inadyn.conf"


%files
%license COPYING
%{_bindir}/inadyn
%{_unitdir}/inadyn.service
%{_prefix}/lib/systemd/system-preset/90-inadyn.preset
%{_tmpfilesdir}/inadyn.conf
%{_docdir}/inadyn
%{_mandir}/man5/inadyn.conf.5.gz
%{_mandir}/man8/inadyn.8.gz


%pre
getent group inadyn > /dev/null || groupadd --system inadyn
getent passwd inadyn > /dev/null || \
  useradd --system --create-home --home-dir "%{_localstatedir}/inadyn" --gid inadyn \
  -s /sbin/nologin -c "inadyn daemon" inadyn
exit 0


%post
%systemd_post inadyn.service


%preun
%systemd_preun inadyn.service


%postun
%systemd_postun inadyn.service


%changelog
%autochangelog
